#!/bin/sh

# SNMP 설치여부 확인
if dpkg-query -W -f='${Status}' snmpd 2>/dev/null | grep -q "install ok installed"; then
	echo ""
else
    echo "snmpd 서비스가 설치되어 있지 않습니다."
	echo "snmpd 서비스가 Custom으로 설치 되어 있을 수 있습니다."
	read -p "스크립트를 이어서 진행하시겠습니까? [Y/n] (default n) : " proceed
	if [ "$proceed" = "Y" ]; then
		echo "스크립트를 진행합니다."
	else
		echo "스크립트를 중단합니다."
		exit 1
	fi
fi



# SNMP 부팅시 켜지게 설정
echo "SNMP Service StartUP Setting"
echo ""
systemctl enable snmpd

# SNMP 설정파일 설정
echo "SNMP Config Setting"

# SNMP 설정 파일 정의
snmpconf_file="/etc/snmp/snmpd.conf"
snmpconf_back="/etc/snmp/snmpd.conf_bak"

# SNMP 설정 백업
if [ -f "$snmpconf_file" ]; then
    cp "$snmpconf_file" "$snmpconf_back"
else
    echo "파일이 존재하지 않습니다: $snmpconf_file"
    exit 1
fi
echo ""

# PRTG 정보 입력
read -p "Enter PRTG Probe IP : " prtgip
read -p "Enter PRTG Community : " prtgcomm

# 백업 파일 확인하고 설정 밀어넣기
if [ -f "$snmpconf_back" ]; then
cat <<EOF> /etc/snmp/snmpd.conf
sysLocation    Sitting on the Dock of the Bay
sysContact     Me <me@example.org>

sysServices    72

master  agentx

agentaddress  udp:161,udp6:[::1]:161

view   systemonly  included   .1.3.6.1.2.1.1
view   systemonly  included   .1.3.6.1.2.1.25.1

rocommunity $prtgcomm $prtgip

rouser authPrivUser authpriv -V systemonly
EOF
else
    echo "백업 파일이 존재하지 않습니다: $snmpconf_file"
    exit 1
fi
echo ""
echo "PRTG SNMP Setting Complete"
echo ""
echo "SNMP Service ReStart"
systemctl restart snmpd
echo ""
systemctl status snmpd